language: cpp
sudo: required
dist: trusty

os: linux

before_install:
  - sudo add-apt-repository --yes ppa:beineri/opt-qt57-trusty
  - sudo apt-get update -qq
  
install:
  - sudo apt-get -y install qt57base binutils

script:
  - source /opt/qt57/bin/qt57-env.sh
  - /opt/qt57/bin/qmake xdgurl.pro
  - make -j7
  - mkdir -p xdgurl.AppDir/usr/bin/
  - cp /usr/local/bin/xdgurl xdgurl.AppDir/usr/bin/
  - export VERSION=$(git describe --always)
  - ./linuxdeployqt -verbose=3 -appimage
  - ls -lh
  - # curl --upload-file ./xdgurl-*.AppImage https://transfer.sh/xdgurl-$VERSION-x86_64.appimage
